Page MenuHomePhabricator

Annotate all class_alias calls in MW core to help with deprecation and later removal
Closed, ResolvedPublic

Description

Following up from https://www.mediawiki.org/wiki/Topic:Udshhbynqffmjtc1 (which we need to decide if we're following normal deprecation policy, so in most cases, remove in the next MW major version if unused elsewhere) we should make sure all class_alias calls in MW core are tagged with at least @deprecated tags, and possibly a @since tag for its addition/renaming.

These should also be noted in RELEASE-NOTES

Makes later removal easier (when no longer used in extensions etc), without having to git blame each individually, as we know which MW Version it was renamed in.

Timestamp.php does this properly:

/**
 * @deprecated since 1.29
 * @since 1.20
 */
class_alias( Wikimedia\Timestamp\TimestampException::class, 'TimestampException' );

Event Timeline

Reedy created this task.May 25 2018, 12:01 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMay 25 2018, 12:01 PM
Restricted Application added a project: Documentation. · View Herald TranscriptMay 25 2018, 12:01 PM
Reedy updated the task description. (Show Details)May 29 2018, 4:01 PM

Change 436057 had a related patch set uploaded (by Reedy; owner: Reedy):
[mediawiki/core@master] Add @deprecated tags to various class_alias calls

https://gerrit.wikimedia.org/r/436057

Change 436057 merged by jenkins-bot:
[mediawiki/core@master] Add @deprecated tags to various class_alias calls

https://gerrit.wikimedia.org/r/436057

Change 436180 had a related patch set uploaded (by Reedy; owner: Reedy):
[mediawiki/core@master] Add @deprecated tags to DatabaseBase

https://gerrit.wikimedia.org/r/436180

Change 436180 merged by jenkins-bot:
[mediawiki/core@master] Add @deprecated tags to DatabaseBase

https://gerrit.wikimedia.org/r/436180

Vvjjkkii renamed this task from Annotate all class_alias calls in MW core to help with deprecation and later removal to nacaaaaaaa.Jul 1 2018, 1:08 AM
Vvjjkkii triaged this task as High priority.
Vvjjkkii updated the task description. (Show Details)
Vvjjkkii removed subscribers: gerritbot, Aklapper.
CommunityTechBot renamed this task from nacaaaaaaa to Annotate all class_alias calls in MW core to help with deprecation and later removal.Jul 2 2018, 3:47 PM
CommunityTechBot raised the priority of this task from High to Needs Triage.
CommunityTechBot updated the task description. (Show Details)
CommunityTechBot added subscribers: gerritbot, Aklapper.

Change 471552 had a related patch set uploaded (by D3r1ck01; owner: Alangi Derick):
[mediawiki/core@master] Add @deprecate tag to MaintainableDBConnRef

https://gerrit.wikimedia.org/r/471552

Change 471552 merged by jenkins-bot:
[mediawiki/core@master] rdbms: Add @deprecate tag to MaintainableDBConnRef class alias

https://gerrit.wikimedia.org/r/471552

DannyS712 closed this task as Resolved.Apr 1 2020, 7:55 PM
DannyS712 added a subscriber: DannyS712.
In T195576#4718762, @D3r1ck01 wrote:

Closing as resolved per above